Package org.jfree.layouting.layouter.content.statics

## Class StaticTextToken

- java.lang.Object
- - org.jfree.layouting.layouter.content.statics.StaticToken
  - - org.jfree.layouting.layouter.content.statics.StaticTextToken

- All Implemented Interfaces:
    `ContentToken`, `TextType`

      public class StaticTextToken
      extends StaticToken
      implements TextType

  Static text. All CDATA and all constant strings from the 'content' style-definition result in StaticTextTokens.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaticTextToken​(java.lang.String text)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getText​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticTextToken

          public StaticTextToken​(java.lang.String text)

  - ### Method Detail

    - #### getText

          public java.lang.String getText​()

      Specified by:
        `getText` in interface `TextType`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`